Bug 1270961 - missing dependencies in devel package
missing dependencies in devel package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: osgearth (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 14:36 EDT by Jiri Kastner
Modified: 2015-10-31 22:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: osgearth-2.6-7.fc21 osgearth-2.6-7.fc22 osgearth-2.7-7.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 12:19:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2015-10-12 14:36:59 EDT
Description of problem:
osgearth depends on OpenSceneGraph-qt and OpensceneGraph-libs, but osgearth-devel doesn't require corresponding devel packages.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
when enabled globe plugin in qgis, build fails on detection of OSG libraries even osgearth-devel is in spec file.

Expected results:
osgearth-devel dependency automatically install OpenSceneGraph-devel and OpenSceneGraph-qt-devel packages

Additional info:
Comment 1 Sandro Mani 2015-10-12 17:16:20 EDT
Not sure what's the policy here. OpenSceneGraph-devel makes sense as a dependency, but OpenSceneGraph-qt-devel may not always be needed.

By the way, the globe won't compile against recent osgEarth versions (they keep breaking the API). I actually just recently did an initial port to osgEarth 2.7, but it still has various issues. I'm planning to get it upstream in time for qgis 2.14.
Comment 2 Jiri Kastner 2015-10-13 03:54:17 EDT
problem is that osgearth-devel is not splitted, it contains osgearthqt libs, so such requirement is in place. another option is to split osgearth same way as osg itself is (seperated {gtk,qt}{,-devel} packages)

btw - thanks for globe news :)
Comment 3 Fedora Update System 2015-10-13 09:26:33 EDT
osgearth-2.6-7.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9f3b04d67b
Comment 4 Fedora Update System 2015-10-13 09:26:38 EDT
osgearth-2.7-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f3bead8aa6
Comment 5 Fedora Update System 2015-10-13 22:13:15 EDT
osgearth-2.7-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update osgearth'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f3bead8aa6
Comment 6 Fedora Update System 2015-10-14 04:54:24 EDT
osgearth-2.6-7.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update osgearth'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9f3b04d67b
Comment 7 Fedora Update System 2015-10-14 05:27:48 EDT
osgearth-2.6-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update osgearth'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-47893beb2e
Comment 8 Fedora Update System 2015-10-28 12:19:51 EDT
osgearth-2.6-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-28 12:25:19 EDT
osgearth-2.6-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-31 22:38:41 EDT
osgearth-2.7-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.